Subject: Re: [PATCH #blk-for-2.8] init: DEBUG_BLOCK_EXT_DEVT requires explicit root= param

From: Tejun Heo <[email-masked]>
Date: Mon, 01 Sep 2008 13:20:58 +0200

Jens Axboe wrote:
>> There are other ways to specify device numbers directly (ie. root=8:0)
>> and DEBUG_BLOCK_EXT_DEVT being a debug option I don't think it
>> warrants a complex logic, so I just added simple warning message.
> 
> How about just putting that in the help entry as well? Given that it's
> now defaulting to 'n', people that enable it should read the help text
> anyway.

I'll add that to help message but I still think it'll be beneficial to
have warning message printed to avoid getting people off guard. e.g.
alpha/beta distro built with the debug option turned on to detect bugs.

Thanks.

-- 
tejun